{ pkgs ? import <nixpkgs> {} }:
let
  commonBuild = import ./build.nix;
  callPackageForVersion = { version, hash }: pkgs.callPackage commonBuild { version = version; hash = hash; };
in
{
  p0 = callPackageForVersion { version = "2.11"; hash = "sha256-1nXiB0vMCmMYmikTopb/j5WKFwHkc7xoLOqL9/bDFak="; };
  p1 = callPackageForVersion { version = "2.12"; hash = "sha256-4GQeKLIxoWfYiOraJub5RsHNVQBr2H+3bfPP22PegdU="; };
  p2 = callPackageForVersion { version = "2.12.1"; hash = "sha256-1kJjhtlsAkpNB7f6tZEs+dbKd8z7KoNHyDHEJ0tmhnc="; };
}
